ClassInterface File Reference
`#include <osgDB/ObjectWrapper>`
`#include <osgDB/Registry>`
`#include <osg/ValueObject>`

Go to the source code of this file.

## Classes

class | osgDB::ClassInterface

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_CLASSINTERFACE 1
#define | DECLARE_TYPE(A, B)

## Typedefs

typedef osg::Object * | osgDB::ObjectPtr

## Functions

OSGDB_EXPORT osgDB::BaseSerializer::Type | osgDB::getTypeEnumFromPtr (const osg::Object *)
OSGDB_EXPORT const char * | osgDB::getTypeStringFromPtr (const osg::Object *)
OSGDB_EXPORT osgDB::BaseSerializer::Type | osgDB::getTypeEnumFromPtr (const osg::Image *)
OSGDB_EXPORT const char * | osgDB::getTypeStringFromPtr (const osg::Image *)

## Macro Definition Documentation

## DECLARE_TYPE

#define DECLARE_TYPE | ( |  | A,
|  |  | B )

Value:
template<> inline osgDB::BaseSerializer::Type getTypeEnum<A>() { return osgDB::BaseSerializer::RW_##B; } \
template<> inline const char* getTypeString<A>() { return #B; }
osgDB::BaseSerializer::Type
Type
Definition Serializer:145

## OSGDB_CLASSINTERFACE

#define OSGDB_CLASSINTERFACE 1